## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/%{name}/%{name}

Summary:        Intrusion detection environment
Name:           aide
Version:        0.18.8
Release:        %autorelease
URL:            https://aide.github.io/
License:        GPL-2.0-or-later

Source0:        %{forgeurl}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:        %{forgeurl}/releases/download/v%{version}/%{name}-%{version}.tar.gz.asc
# gpg2 --recv-keys 2BBBD30FAAB29B3253BCFBA6F6947DAB68E7B931
# gpg2 --export --export-options export-minimal 2BBBD30FAAB29B3253BCFBA6F6947DAB68E7B931 >gpgkey-aide.gpg
Source2:        gpgkey-aide.gpg
Source3:        aide.conf
Source4:        README.quickstart
Source5:        aide.logrotate

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  bison flex
BuildRequires:  pcre2-devel
BuildRequires:  libgpg-error-devel libgcrypt-devel
BuildRequires:  zlib-devel
BuildRequires:  libcurl-devel
BuildRequires:  libacl-devel
BuildRequires:  pkgconfig(libselinux)
BuildRequires:  libattr-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  audit-libs-devel
BuildRequires:  autoconf automake libtool
# For verifying signatures
BuildRequires:  gnupg2
# For being able to run 'make check'
BuildRequires:  check-devel


Requires:       logrotate

Patch1: aide-verbose.patch

%description
AIDE (Advanced Intrusion Detection Environment) is a file integrity
checker and intrusion detection program.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1
cp -a %{S:4} .

%patch -R -P 1 -p1 -b .verbose

%build
#autoreconf -ivf
%configure  \
  --disable-static \
  --with-config_file=%{_sysconfdir}/aide.conf \
  --with-gcrypt \
  --with-zlib \
  --with-curl \
  --with-posix-acl \
  --with-selinux \
  --with-xattr \
  --with-e2fsattrs \
  --with-audit
%make_build

%check
make check

%install
%make_install bindir=%{_sbindir}
install -Dpm0644 -t %{buildroot}%{_sysconfdir} %{S:3}
install -Dpm0644 %{S:5} %{buildroot}%{_sysconfdir}/logrotate.d/aide
mkdir -p %{buildroot}%{_localstatedir}/log/aide
mkdir -p -m0700 %{buildroot}%{_localstatedir}/lib/aide

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README contrib/
%doc README.quickstart
%{_sbindir}/aide
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/aide.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/aide
%dir %attr(0700,root,root) %{_localstatedir}/lib/aide
%dir %attr(0700,root,root) %{_localstatedir}/log/aide

%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Dec 04 2024 Sandro Bonazzola <sbonazzo@redhat.com> - 0.18.8-1
- Update aide to 0.18.8
- Update aide to 0.18.8
- Resolves fedora#2306506
- GPG verify source tarball
- Update project URL
- Remove unused patches
- Enable check phase during the build
- Require logrotate

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Feb 12 2024 Radovan Sroka <rsroka@redhat.com> - 0.18.6-4
- Fix verbose option

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Oct 24 2023 Radovan Sroka <rsroka@redhat.com> - 0.18.6-1
- Rebase to 0.18.6

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 21 2023 Radovan Sroka <rsroka@redhat.com> - 0.18.4-2
- Updated aide.conf

* Wed Jun 21 2023 Radovan Sroka <rsroka@redhat.com> - 0.18.4-1
- Rebase to 1.18.4
- aide-0.18.4 is available Resolves: rhbz#1910486
- Please port your pcre dependency to pcre2. Pcre has been deprecated
  Resolves: rhbz#2128267

* Tue Jun 13 2023 Radovan Sroka <rsroka@redhat.com> - 0.16-29
- migrated to SPDX license

* Tue Jun 13 2023 Radovan Sroka <rsroka@redhat.com> - 0.16-28
- migrated to SPDX license

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 25 2022 Florian Weimer <fweimer@redhat.com> - 0.16-26
- Apply upstream patches to port configure to C99

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jan 25 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jul 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-20
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 24 2020 Radovan Sroka <rsroka@redhat.com> - 0.16-18
- AIDE breaks when setting report_ignore_e2fsattrs

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 31 2019 Radovan Sroka <rsroka@redhat.com> - 0.16-16
- Backport some patches

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Feb 20 2019 Daniel Kopeček <dkopecek@redhat.com> - 0.16-14
- Fix building with curl Resolves: rhbz#1674637

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jul 31 2018 Florian Weimer <fweimer@redhat.com> - 0.16-12
- Rebuild with fixed binutils

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Feb 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.16-10
- rebuild

* Tue Feb 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.16-9
- fix FTBFS

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-7
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Apr 05 2017 Radovan Sroka <rsroka@redhat.com> - 0.16-5
- Fixed upstream link

* Wed Apr 05 2017 Radovan Sroka <rsroka@redhat.com> - 0.16-4
- Rebase to stable v0.16
- specfile cleanup
- make doc readable resolves: #1421355
- make aide binary runable for any user resolves: #1421351

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 12 2016 Daniel Kopecek <dkopecek@redhat.com> - 0.16-2
- New upstream devel version

* Tue Jul 12 2016 Daniel Kopecek <dkopecek@redhat.com> - 0.16-1
- New upstream devel version

* Wed Feb 03 2016 Dennis Gilmore <dennis@ausil.us> - 0.15.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jul 25 2015 Till Maas <opensource@till.name> - 0.15.1-12
- Fix changelog date

* Sat Jul 25 2015 Till Maas <opensource@till.name> - 0.15.1-11
- Remove prelink dependency because prelink was retired

* Tue Jun 16 2015 Dennis Gilmore <dennis@ausil.us> - 0.15.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 0.15.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jul 18 2014 Yaakov Selkowitz <yselkowitz@users.sourceforge.net> - 0.15.1-8
- Fix for -Werror=format-security, aarch64, ppc64le

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 0.15.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 0.15.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Dennis Gilmore <dennis@ausil.us> - 0.15.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 22 2012 Daniel Kopecek <dkopecek@redhat.com> - 0.15.1-4
- FIPS related fixes
- added patch to fix aide in FIPS mode
- use only FIPS approved digest algorithms in aide.conf so that aide works
  by default in FIPS mode

* Wed Jul 18 2012 Dennis Gilmore <dennis@ausil.us> - 0.15.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Dennis Gilmore <dennis@ausil.us> - 0.15.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 11 2010 Steve <sgrubb@x2.(none)> - 0.15.1-1
- New upstream release

* Wed Jul 28 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-13
- dist-git conversion

* Tue May 18 2010 Steve Grubb <sgrubb@fedoraproject.org> - 0.14-12
- Apply 2 upstream bug fixes

* Tue May 18 2010 Steve Grubb <sgrubb@fedoraproject.org> - 0.14-11
- Use upstream's patch to fix bz 590566

* Sat May 15 2010 Steve Grubb <sgrubb@fedoraproject.org> - 0.14-10
- Fix bz 590561 aide does not detect the change of SElinux context - Fix bz
  590566 aide reports a changed file when it has not been changed

* Wed Apr 28 2010 Steve Grubb <sgrubb@fedoraproject.org> - 0.14-9
- Fix bz 574764 by replacing abort calls with exit - Apply libgcrypt init
  patch

* Tue Mar 16 2010 Steve Grubb <sgrubb@fedoraproject.org> - 0.14-8
- New upstream release final 0.14

* Thu Feb 25 2010 Steve Grubb <sgrubb@fedoraproject.org> - 0.14-7
- New upstream release

* Thu Feb 25 2010 Steve Grubb <sgrubb@fedoraproject.org> - 0.14-6
- Add comment for patch

* Thu Feb 25 2010 Steve Grubb <sgrubb@fedoraproject.org> - 0.14-5
- New upstream release

* Thu Feb 25 2010 Steve Grubb <sgrubb@fedoraproject.org> - 0.14-4
- New upstream release

* Tue Feb 23 2010 Steve Grubb <sgrubb@fedoraproject.org> - 0.14-3
- Fix dirent detection on 64bit systems

* Tue Feb 23 2010 Steve Grubb <sgrubb@fedoraproject.org> - 0.14-2
- New upstream release

* Tue Feb 23 2010 Steve Grubb <sgrubb@fedoraproject.org> - 0.14-1
- New upstream release

* Fri Feb 19 2010 Steve Grubb <sgrubb@fedoraproject.org> - 0.13.1-23
- Add logrotate script

* Fri Dec 11 2009 Steve Grubb <sgrubb@fedoraproject.org> - 0.13.1-22
- Get rid of .dedosify files

* Wed Dec 09 2009 Steve Grubb <sgrubb@fedoraproject.org> - 0.13.1-21
- Revise patch for Initialize libgcrypt correctly (#530485)

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 0.13.1-20
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Mon Nov 09 2009 Steve Grubb <sgrubb@fedoraproject.org> - 0.13.1-19
- Initialize libgcrypt correctly (#530485)

* Sat Nov 07 2009 Steve Grubb <sgrubb@fedoraproject.org> - 0.13.1-18
- Initialize libgcrypt correctly (#530485)

* Fri Aug 21 2009 Tomáš Mráz <tmraz@fedoraproject.org> - 0.13.1-17
- rebuilt with new audit

* Wed Aug 19 2009 Steve Grubb <sgrubb@fedoraproject.org> - 0.13.1-16
- rebuild for new audit-libs - Correct regex for root's dot files (#509370)

* Fri Jul 24 2009 Jesse Keating <jkeating@fedoraproject.org> - 0.13.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 08 2009 Steve Grubb <sgrubb@fedoraproject.org> - 0.13.1-14
- Make aide smarter about prelinked files (Peter Vrabec) - Add /lib64 to
  default config

* Mon Jun 08 2009 Steve Grubb <sgrubb@fedoraproject.org> - 0.13.1-13
- Make aide smarter about prelinked files (Peter Vrabec) - Add /lib64 to
  default config

* Mon Jun 08 2009 Steve Grubb <sgrubb@fedoraproject.org> - 0.13.1-12
- Make aide smarter about prelinked files (Peter Vrabec) - Add /lib64 to
  default config

* Mon Jun 08 2009 Steve Grubb <sgrubb@fedoraproject.org> - 0.13.1-11
- Make aide smarter about prelinked files (Peter Vrabec) - Add /lib64 to
  default config

* Mon Jun 08 2009 Steve Grubb <sgrubb@fedoraproject.org> - 0.13.1-10
- Make aide smarter about prelinked files (Peter Vrabec) - Add /lib64 to
  default config

* Tue Feb 24 2009 Jesse Keating <jkeating@fedoraproject.org> - 0.13.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 30 2009 Steve Grubb <sgrubb@fedoraproject.org> - 0.13.1-8
- enable xattr support and update config file

* Fri Sep 26 2008 Tom Callaway <spot@fedoraproject.org> - 0.13.1-7
- fix selcon patch to apply without fuzz

* Fri Feb 15 2008 Steve Conklin <sconklin@fedoraproject.org> - 0.13.1-6
- rebuild for gcc4.3

* Tue Aug 21 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 0.13.1-5
- automated rebuild per request on fedora-devel-list

* Tue Aug 21 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 0.13.1-4
- clarify licence

* Sun Jul 22 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 0.13.1-3
- Apply Steve Conklin's patch to increase displayed portion of selinux
  context.

* Fri Jan 05 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 0.13.1-2
- used a patch instead of sed or perl

* Fri Jan 05 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 0.13.1-1
- Update to 0.13.1 release. Sun Dec 10 2006 Michael Schwendt
  <mschwendt[AT]users.sf.net> - 0.13-1 - Update to 0.13 release. - Include
  default aide.conf from RHEL5 as doc example file. Sun Oct 29 2006 Michael
  Schwendt <mschwendt[AT]users.sf.net> - 0.12-3.20061027cvs - CAUTION! This
  changes the database format and results in a report of false
  inconsistencies until an old database file is updated. - Check out CVS
  20061027 which now contains Red Hat's acl/xattr/selinux/audit patches. -
  Patches merged upstream. - Update manual page substitutions.

* Mon Oct 23 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 0.12-2
- Add "memory leaks and performance updates" patch as posted to aide-devel
  by Steve Grubb.

* Sat Oct 14 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 0.12-1
- Update to 0.12 release. - now offers --disable-static, so -no-static
  patch is obsolete - fill last element of getopt struct array with zeroes

* Sat Oct 14 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 0.11-3
- Update to 0.12 release. - now offers --disable-static, so -no-static
  patch is obsolete - fill last element of getopt struct array with zeroes

* Mon Oct 02 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 0.11-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 11 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 0.11-1
- auto-import aide-0.11-2 on branch devel from aide-0.11-2.src.rpm

* Sun Sep 03 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 0.10-5
- *** empty log message ***

* Sun Sep 03 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 0.10-4
- bump and rebuild

* Sun Aug 27 2006 Ville Skyttä <scop@fedoraproject.org> - 0.10-3
- http://fedoraproject.org/wiki/Extras/Schedule/FC6MassRebuild

* Thu Mar 02 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 0.10-2
- *** empty log message ***

* Thu Mar 02 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 0.10-1
- auto-import aide-0.10-3 on branch devel from aide-0.10-3.src.rpm
  temporarily revert devel to FE4 aide for flex devel build test

* Sun Feb 26 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 0.11-2
- Fix wrong paths in manual page.

* Sat Feb 25 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 0.11-1
- auto-import aide-0.11-1 on branch devel from aide-0.11-1.src.rpm

* Wed Apr 06 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 0.10-2
- mass release bump for packages not rebuilt after FC-3-split

* Thu Mar 03 2005 Matthias Saou <thias@fedoraproject.org> - 0.10-1
- Mass letter "a" update, one or more apply : - Drop epoch: 0 - Remove
  %%{epoch} requirements in sub-packages - Remove trailing white spaces -
  Keep consistent between spaces and tabs

* Fri Dec 10 2004 Michael Schwendt <mschwendt@fedoraproject.org> - 0:0.10-6
- Bump release, strip off fedora.us prefix and dist tag.

* Wed Nov 24 2004 gafton <gafton@fedoraproject.org> - 0:0.10-5
- Fix braindead import typo artifact in the default generated Makefile. Oh
  well, the fedora extras commits list needs a workout anyway...

* Mon Nov 08 2004 cvsextras <cvsextras@fedoraproject.org> - 0:0.10-4
- auto-import aide-0.10-0.fdr.1.2 from aide-0.10-0.fdr.1.2.src.rpm

* Mon Nov 08 2004 cvsextras <cvsextras@fedoraproject.org> - 0:0.10-3
- auto-import changelog data from aide-0.10-0.fdr.1.1.src.rpm 0.10-0.fdr.1
  - Update to 0.10 release. - memleaks patch merged upstream. - rootpath
  patch merged upstream. - fstat patch not needed anymore. - Updated URL.

* Mon Nov 08 2004 cvsextras <cvsextras@fedoraproject.org> - 0:0.10-2
- auto-import changelog data from aide-0.10-0.fdr.0.2.cvs20031104.1.src.rpm
  0.10-0.fdr.0.2.cvs20031104 - Added buildreq m4 to work around incomplete
  deps of bison package.

* Mon Nov 08 2004 cvsextras <cvsextras@fedoraproject.org> - 0:0.10-1
- auto-import changelog data from
  aide-0.10-0.fdr.0.1.cvs20031104.rh90.src.rpm 0.10-0.fdr.0.1.cvs20031104 -
  Only tar.gz available upstream. - byacc not needed when bison -y is
  available. - Installed Russian manual pages. - Updated with changes from
  CVS (2003-11-04). - getopt patch merged upstream. - bison-1.35 patch
  incorporated upstream. 0.9-0.fdr.0.2.20030902 - Added fixes for further
  memleaks. 0.9-0.fdr.0.1.20030902 - Initial package version.
## END: Generated by rpmautospec
